<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns="http://java.sun.com/xml/ns/javaee"
	xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd"
	version="2.5">
	
	<display-name>ers-app</display-name>

	<servlet>
		<servlet-name>LoginServlet</servlet-name>
		<servlet-class>dev.evans.servlets.LoginServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>LoginServlet</servlet-name>
		<url-pattern>/login</url-pattern>
	</servlet-mapping>
	
	<servlet>
		<servlet-name>EmployeeServlet</servlet-name>
		<servlet-class>dev.evans.servlets.EmployeeServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>EmployeeServlet</servlet-name>
		<url-pattern>/employees/*</url-pattern>
	</servlet-mapping>
	
	<servlet>
		<servlet-name>ReimbursementServlet</servlet-name>
		<servlet-class>dev.evans.servlets.ReimbursementServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>ReimbursementServlet</servlet-name>
		<url-pattern>/reimbursements</url-pattern>
	</servlet-mapping>

	<filter>
		<filter-name>CorsFilter</filter-name>
		<filter-class>org.apache.catalina.filters.CorsFilter</filter-class>
		<init-param>
			<param-name>cors.allowed.origins</param-name>
			<param-value>*</param-value>
		</init-param>
	</filter>
	<filter-mapping>
		<filter-name>CorsFilter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>

</web-app>